Not applicable for "main.dart" configuration

My Android Studio emulator is up and running yet when I run the code, I realize the emulator does not show the code I run.

I tried out some of the solutions like; Project Structure>Project and I chose the latest Android API there and then to Modules and did same thing, yet did not work.

Instead, after these changes, I got an error message saying IDE Error, that I should report the problem